import type { _NSAttributedString } from "../Foundation/NSAttributedString.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { AXCustomContentImportance } from "./AXCustomContentImportance.js";
export declare class _AXCustomContent extends _NSObject {
    static alloc(): _AXCustomContent;
    static new(): _AXCustomContent;
    init(): _AXCustomContent;
    static customContentWithLabel$value$(label: _NSString, value: _NSString): _AXCustomContent;
    static customContentWithAttributedLabel$attributedValue$(label: _NSAttributedString, value: _NSAttributedString): _AXCustomContent;
    /**
     * A localized string that describes how to name this content. For example, 'Orientation' would be an appropriate name used for photo information.
     */
    label(): _NSString;
    attributedLabel(): _NSAttributedString;
    /**
     * A localized string that describes the content. For example, 'Portrait' or 'Landscape' would be an appropriate content value for 'Orientation.'
     */
    value(): _NSString;
    attributedValue(): _NSAttributedString;
    /**
     * Changing this property allows the user to choose when they experience this content, based on preference. For example, this content may be spoken all the time, or only in a "verbose" mode. Default: AXCustomContentImportanceDefault
     */
    importance(): AXCustomContentImportance;
    setImportance$(value: AXCustomContentImportance): void;
}
export interface _AXCustomContent extends _NSCopying, _NSSecureCoding {
}
